package digital.laboratory.platform.inspection.event;

import org.springframework.context.ApplicationEvent;

import java.util.List;

/**
 * 审核数据 自定义事件
 */

public class AuditDataExecutionEvent extends ApplicationEvent {

    private final List<String> sampleNoList;


    public AuditDataExecutionEvent(Object source, List<String> sampleNoList) {
        super(source);
        this.sampleNoList = sampleNoList;
    }

    public List<String> getSampleNoList() {
        return sampleNoList;
    }
}
